Page MenuHomePhabricator

Archive the Winter extension
Closed, ResolvedPublicRequest

Description

Reason:
This extension has been unmaintained since 2010, with its source code only available via ZIP packages on an external website (i.e. it's not in any source control I can see). In addition, it has been noted to have a major security hole (allowing execution of arbitrary Javascript) for years.

  • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:Winter).
  • Remove from mediawiki/extensions / mediawiki/skins (along with in .gitmodules).
  • Remove tests in integration/config (zuul/layout.yaml).
  • Remove from translatewiki (groups/MediaWiki/mediawiki-extensions.txt / groups/MediaWiki/mediawiki-skins.txt).
  • Remove manifest/other references from mediawiki/vagrant if they exist.
  • Empty repository and add an ARCHIVED file.
  • Archive Phabricator project <#ProjectX> for associated extension/skin.
  • Edit Phabricator project <#ProjectX> description for associated extension/skin with a link to this ticket.
  • Archive the extension's diffusion repository: (Provide Diffusion Repository callsign or URL here).
  • Mark the repository read-only in Gerrit: (Provide Gerrit Repository URL here).
  • Delete the GitHub mirror: (provide GitHub repository URL here).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2018, 3:18 PM
hashar updated the task description. (Show Details)Jul 16 2018, 8:11 PM
hashar added a subscriber: hashar.

It is not in CI zuul/layout.yaml :]

@hashar I wasn't sure how to check for that, thanks! (I actually don't really know how to check for anything but a MW.org page, Phabricator project, or Github repository, so quick pointers would be appreciated. =) )

Zoranzoki21 moved this task from Backlog to delete on the GitHub-Mirrors board.Jul 18 2018, 9:58 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

I will claim that. I will remove claim when I do things which I can.

Umherirrender updated the task description. (Show Details)Aug 7 2018, 4:47 PM
MarcoAurelio closed this task as Resolved.Aug 30 2018, 8:12 PM
MarcoAurelio added a subscriber: MarcoAurelio.

I've archived the documentation on mediawiki.org and there's nothing left to do afaics. Thanks.